#!/bin/sh

# $PROXY and $CLAMD contain ip:port of their services
SERVER="192.168.100.5"

#strace -s 22222 -o /tmp/xxx-$$.st \
exec env -i \
 LOG_FILE="/tmp/squid.log" \
 MAX_SIZE="40000" \
 PROXY="127.0.0.1:3128" \
 CLAMD="127.0.0.1:3310" \
 REDIR_BADUSER="http://$SERVER/inet/deny.php?network=home&reason=user&" \
 REDIR_BADHOST="http://$SERVER/inet/deny.php?network=home&reason=host&" \
 REDIR_BADCONT="http://$SERVER/inet/deny.php?network=home&reason=cont&" \
 REDIR_BADURL="http://$SERVER/inet/deny.php?network=home&reason=url&" \
 REDIR_VIRUSFOUND="http://$SERVER/inet/deny.php?network=home&reason=virus&" \
 REDIR_SAFESITE="http://$SERVER/inet/img/" \
 /usr/bin/squidwall
