#include "squidwall.h"

extern stralloc filter;

int check_url(void)
{
	struct squidwall_regex *r;
	int i;


	stralloc_init(&filter);
	log_flush();

	if (ufilter_user)
	for (i=0; i<array_length(ufilter_user, sizeof(struct squidwall_regex)); i++) {
		r = array_get(ufilter_user, sizeof(struct squidwall_regex), i);

//		debug_s(9, "checking user url/regex: ", r->name.s); log_flush();
		if (regexec(&r->r, squid_url, 0, 0, 0) == 0) {
			stralloc_copy(&filter, &r->name);
			return ACL_DENY;
		}
	}

	if (ufilter_host != 0)
	for (i=0; i<array_length(ufilter_host, sizeof(struct squidwall_regex)); i++) {
		r = array_get(ufilter_host, sizeof(struct squidwall_regex), i);

//		debug_s(9, "checking host url/regex: ", r->name.s); log_flush();
		if (regexec(&r->r, squid_url, 0, 0, 0) == 0) {
			stralloc_copy(&filter, &r->name);
			return ACL_DENY;
		}
	}
	stralloc_free(&filter);

	return ACL_ALLOW;
}
